Expanion board v3.0r and SD card



  • Few weeks ago I got (from pycom' store) a new expansion board v3.0r along with a GPy development board and then updated firmware on both expansion board and GPy. The problem is that I can't mount the SD card to update the LTE firmware; creating an SD object fails with OSError: the requested operation failed. Pull-up resistor (10k) installed between G15 and 3V3 and only TX/RX jumpers installed. Same issue with other development modules (e.g. FiPy).

    >>> from machine import SD
    >>> sd=SD()
    Traceback (most recent call last):
      File "<stdin>", line 1, in <module>
    OSError: the requested operation failed
    
    >>> os.uname()
    (sysname='GPy', nodename='GPy', release='1.18.1.r7', version='v1.8.6-849-d1c5ea9 on 2018-12-17', machine='GPy with ESP32')
    

    Using an expansion board v2.1A I can mount the SD card and perform LTE firmware update correctly. Some idea about this issue?

    Strange to update from expansion board 2 to 3 to avoid installing a jumper for firmware update and then still requiring to add a jumper to use battery and/or SD card...


  • Global Moderator

    @luca-gamma Perfect. Glad you got it sorted :)



  • @paul-thornton Thank for your answer, in the mean time I found a possible solution. The problem was simply mechanical, I tried to slightly lift the SD card while insert and then the SD object was created successfully. The solution was then to move up the spring contacts of the SD socket with a thin nipper.


  • Global Moderator

    I've just recreated this setup and it worked on both the old and new expansion boards. (both running latest firmware).

    could you sling in a support ticket or email support@pycom.io with any/all details you have. (and a link to this post) and Ill get it looked into.


 

Pycom on Twitter